org.eclipse.e4.ui.model.application.commands

## Interface MBindingContext

All Superinterfaces:
  MApplicationElement

    public interface MBindingContext
    extends MApplicationElement

A representation of the model object 'Binding Context'.

This class describes the hierarchy of contexts that are used by the `EBindingService` to determine which Bindings are currently available to the user.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Name`
  - `Description`
  - `Children`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<MBindingContext>` `getChildren()` Returns the value of the 'Children' containment reference list.
`String` `getDescription()` Returns the value of the 'Description' attribute
`String` `getName()` Returns the value of the 'Name' attribute
`void` `setDescription(String value)` Sets the value of the '`Description`' attribute
`void` `setName(String value)` Sets the value of the '`Name`' attribute

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Method Detail

#### getName

    String getName()

Returns the value of the 'Name' attribute.

Developers: Add more detailed documentation by editing this comment in org.eclipse.ui.model.workbench/model/UIElements.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Name' attribute.
See Also:
  `setName(String)`

#### setName

    void setName(String value)

Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  `getName()`

#### getDescription

    String getDescription()

Returns the value of the 'Description' attribute.

Developers: Add more detailed documentation by editing this comment in org.eclipse.ui.model.workbench/model/UIElements.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Description' attribute.
See Also:
  `setDescription(String)`

#### setDescription

    void setDescription(String value)

Sets the value of the '`Description`' attribute.

Parameters:
  `value` - the new value of the 'Description' attribute.
See Also:
  `getDescription()`

#### getChildren

    List<MBindingContext> getChildren()

Returns the value of the 'Children' containment reference list. The list contents are of type `MBindingContext`.

Developers: Add more detailed documentation by editing this comment in org.eclipse.ui.model.workbench/model/UIElements.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Children' containment reference list.